summaryrefslogtreecommitdiff
path: root/tests.as-root
diff options
context:
space:
mode:
authorRichard Maw <richard.maw@codethink.co.uk>2012-06-13 16:20:08 +0100
committerRichard Maw <richard.maw@codethink.co.uk>2012-06-13 16:20:08 +0100
commit6986f4c9c4c64217f762366d8fe34003864d8df2 (patch)
tree0313c918e1dc1a062b432cf4255e1ce5a19d8e21 /tests.as-root
parent35cbfb8260beea338f403592bbfb7eb0f5aeef5c (diff)
parent6a0b0a191dcfca7ef79c9c5ed49161c5b3c9aadf (diff)
downloadmorph-6986f4c9c4c64217f762366d8fe34003864d8df2.tar.gz
Merge branch 'richardmaw/arm-hack'
Diffstat (limited to 'tests.as-root')
-rwxr-xr-xtests.as-root/arm-system-writes-kernel.script79
1 files changed, 79 insertions, 0 deletions
diff --git a/tests.as-root/arm-system-writes-kernel.script b/tests.as-root/arm-system-writes-kernel.script
new file mode 100755
index 00000000..06a7ba44
--- /dev/null
+++ b/tests.as-root/arm-system-writes-kernel.script
@@ -0,0 +1,79 @@
+#!/bin/sh
+#
+# If the system's arch is arm, it should write the kernel to the cache
+#
+# Copyright (C) 2011, 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -eu
+
+cache="$DATADIR/cache/artifacts"
+kernelrepo="$DATADIR/kernel-repo"
+morphsrepo="$DATADIR/morphs-repo"
+log="$DATADIR/morph.log"
+
+cd "$morphsrepo"
+git checkout --quiet -b arm master
+cat <<EOF >arm-system.morph
+{
+ "name": "arm-system",
+ "kind": "system",
+ "arch": "arm",
+ "disk-size": "1G",
+ "strata": [
+ "arm-stratum"
+ ]
+}
+EOF
+cat <<EOF >arm-stratum.morph
+{
+ "name": "arm-stratum",
+ "kind": "stratum",
+ "sources": [
+ {
+ "name": "hello",
+ "repo": "test:chunk-repo",
+ "ref": "farrokh"
+ },
+ {
+ "name": "linux",
+ "repo": "test:kernel-repo",
+ "ref": "arm"
+ }
+ ]
+}
+EOF
+git add arm-system.morph arm-stratum.morph
+git commit --quiet -m "add arm system"
+
+cd "$kernelrepo"
+git checkout --quiet -b arm master
+cat <<EOF >linux.morph
+{
+ "name": "linux",
+ "kind": "chunk",
+ "install-commands": [
+ "mkdir -p \"\$DESTDIR/boot\"",
+ "touch \"\$DESTDIR\"/boot/zImage"
+ ]
+}
+EOF
+git add linux.morph
+
+git commit --quiet -m 'Make the kernel create a dummy zImage'
+
+"$SRCDIR/scripts/test-morph" \
+ build test:morphs-repo arm arm-system.morph
+[ -e "$cache"/*system.arm-system.kernel ]